- Complete the layout
- do it with typescript
- link it with axios
- handle on error data fetching/ loading ...
- remove any tipes as max as possible
- fetch data progressvally
- learn testing (e2e with cypress and unit)
- CI/CD
- test pipine by adding some features like exporting
- use Next ?
- styling
- sidebar for filter (of fetch initial data like the one in the video)
- column chooser
- multiselect
- what is keyexpress or ?
- add loading view https://js.devexpress.com/Documentation/ApiReference/UI_Components/dxDataGrid/Configuration/loadPanel/
- change list ot grid in naming, Ex: FlightsGrid -> FlightsGrid
- remove all console logs
- in Http file catch errors
- handle 404
- add filter
- virtual scrolling 